This page is auto-generated from the OpenAPI specification.
For interactive testing and detailed schemas, visit the individual endpoint pages linked below.
AccessGrants
GET /access_grants
Get all access grants Return all Access Grants that the current API token has access to.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/accessgrants/get-all-access-grants
POST /access_grants
Create access grant Create an Access Grant.Request Body
Responses
201: Created 400: BadRequest 403: Forbidden 404: NotFound 406: NotAcceptable 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/accessgrants/create-access-grant
DELETE /access_grants/
Delete access grant Delete an Access Grant.Path Parameters
- access_grant_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/accessgrants/delete-access-grant
GET /access_grants/
Get access grant by token Return a specific Access Grant.Path Parameters
- access_grant_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/accessgrants/get-access-grant-by-token
PUT /access_grants/
Update access grant Update an AccessGrant.Path Parameters
- access_grant_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/accessgrants/update-access-grant
AnomalyAlerts
GET /anomaly_alerts
Get all anomaly alerts Return all Anomaly Alerts that the current API token has access to.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- start_date (string (date-time)) - Optional: The start date of the anomalies to return. ISO 8601 formatted.
- end_date (string (date-time)) - Optional: The end date of the anomalies to return. ISO 8601 formatted.
- provider (string) - Optional: The provider of the anomalies to return.
- service (string) - Optional: The service of the anomalies to return.
- cost_category (string) - Optional: The cost category of the anomalies to return.
- cost_report_token (string) - Optional: The cost report token of the anomalies to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalyalerts/get-all-anomaly-alerts
GET /anomaly_alerts/
Get anomaly alert by token Return an AnomalyAlert that the current API token has access to.Path Parameters
- anomaly_alert_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalyalerts/get-anomaly-alert-by-token
PUT /anomaly_alerts/
Update anomaly alert Update an AnomalyAlert.Path Parameters
- anomaly_alert_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalyalerts/update-anomaly-alert
AnomalyNotifications
GET /anomaly_notifications
Get all anomaly notifications Return all Anomaly Notifications.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace token.
- cost_report_token (string) - Optional: Filter by Cost Report token.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalynotifications/get-all-anomaly-notifications
POST /anomaly_notifications
Create anomaly notification Create an Anomaly Notification for a Cost Report.Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalynotifications/create-anomaly-notification
DELETE /anomaly_notifications/
Delete anomaly notification Delete an Anomaly Notification.Path Parameters
- anomaly_notification_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalynotifications/delete-anomaly-notification
GET /anomaly_notifications/
Get anomaly notification by token Return an Anomaly Notification that the current API token has access to.Path Parameters
- anomaly_notification_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalynotifications/get-anomaly-notification-by-token
PUT /anomaly_notifications/
Update anomaly notification Update an Anomaly Notification.Path Parameters
- anomaly_notification_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/anomalynotifications/update-anomaly-notification
AuditLogs
GET /audit_logs
Get all audit logs Return all AuditLogs.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. Defaults to 100. The maximum is 5000.
- user (integer (int32)) - Optional: Filter by personal or service API token that performed the action.
- workspace_token (string) - Optional: Filter by workspace token.
-
action (string) - Optional: Filter by action type.
- Allowed values:
create,update,delete
- Allowed values:
- object_name (string) - Optional: Filter by object name.
-
source (string) - Optional: Filter by source.
- Allowed values:
console,api,finops_agent
- Allowed values:
-
object_type (string) - Optional: Filter by object type.
- Allowed values:
virtual_tag,cost_report,recommendation_commitment,segment
- Allowed values:
- token (string) - Optional: Filter by audit log token.
- object_token (string) - Optional: Filter by object token (auditable_token).
- start_date (string (date)) - Optional: Filter by start date (ISO 8601 format, e.g., 2024-06-01).
- end_date (string (date)) - Optional: Filter by end date (ISO 8601 format, e.g., 2024-06-01).
Responses
200: OK 403: ForbiddenView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/auditlogs/get-all-audit-logs
GET /audit_logs/
Get audit log by token Return a specific AuditLog.Path Parameters
- audit_log_token (path) (string) - Required
Responses
200: OK 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/auditlogs/get-audit-log-by-token
BillingProfiles
GET /billing_profiles
Get all billing profiles Returns a list of billing profiles (MSP invoicing required).Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingprofiles/get-all-billing-profiles
POST /billing_profiles
Create billing profile Create a billing profile (MSP invoicing required).Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingprofiles/create-billing-profile
DELETE /billing_profiles/
Delete billing profile Requires MSP invoicing to be enabled on the account.Path Parameters
- billing_profile_token (path) (string) - Required
Responses
204: Billing Profile deleted successfully. 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingprofiles/delete-billing-profile
GET /billing_profiles/
Get billing profile by token Requires MSP invoicing to be enabled on the account.Path Parameters
- billing_profile_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingprofiles/get-billing-profile-by-token
PUT /billing_profiles/
Update billing profile Requires MSP invoicing to be enabled on the account.Path Parameters
- billing_profile_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingprofiles/update-billing-profile
BillingRules
GET /billing_rules
Get all billing rules Returns a list of billing rules.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingrules/get-all-billing-rules
POST /billing_rules
Create billing rule Create a BillingRule.Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingrules/create-billing-rule
DELETE /billing_rules/
Delete billing rule Delete a BillingRule.Path Parameters
- billing_rule_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingrules/delete-billing-rule
GET /billing_rules/
Get billing rule by token Return a BillingRule.Path Parameters
- billing_rule_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingrules/get-billing-rule-by-token
PUT /billing_rules/
Update billing rule Update a BillingRule.Path Parameters
- billing_rule_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/billingrules/update-billing-rule
BudgetAlerts
GET /budget_alerts
Get all budget alerts Return all BudgetAlerts.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace token.
- budget_token (string) - Optional: Filter by budget token.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgetalerts/get-all-budget-alerts
POST /budget_alerts
Create budget alert Create a Budget Alert.Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgetalerts/create-budget-alert
DELETE /budget_alerts/
Delete budget alert Delete a BudgetAlert.Path Parameters
- budget_alert_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgetalerts/delete-budget-alert
GET /budget_alerts/
Get budget alert by token Return a BudgetAlert.Path Parameters
- budget_alert_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgetalerts/get-budget-alert-by-token
PUT /budget_alerts/
Update budget alert Updates an existing BudgetAlert.Path Parameters
- budget_alert_token (path) (string) - Required
Request Body
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgetalerts/update-budget-alert
Budgets
GET /budgets
Get all budgets Return all Budgets.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
- q (string) - Optional: Search budgets by name.
- workspace_token (string) - Optional: The workspace token of the budgets to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgets/get-all-budgets
POST /budgets
Create budget Create a Budget.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgets/create-budget
DELETE /budgets/
Delete budget Delete a Budget.Path Parameters
- budget_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgets/delete-budget
GET /budgets/
Get budget by token Return a Budget.Path Parameters
- budget_token (path) (string) - Required
Query Parameters
- include_performance (boolean) - Optional: Include performance data.
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgets/get-budget-by-token
PUT /budgets/
Update budget Update a Budget.Path Parameters
- budget_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/budgets/update-budget
BusinessMetrics
GET /business_metrics
Get all business metrics Return all BusinessMetrics that the current API token has access to.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 5000.
- q (string) - Optional: Search business metrics by title.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/get-all-business-metrics
POST /business_metrics
Create business metric Create a new BusinessMetric.Request Body
Responses
201: Created 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/create-business-metric
DELETE /business_metrics/
Delete business metric Deletes an existing BusinessMetric.Path Parameters
- business_metric_token (path) (string) - Required
Responses
204: No Content 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/delete-business-metric
GET /business_metrics/
Get business metric by token Return a BusinessMetric.Path Parameters
- business_metric_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/get-business-metric-by-token
PUT /business_metrics/
Update business metric Updates an existing BusinessMetric.Path Parameters
- business_metric_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/update-business-metric
GET /business_metrics//forecasted_values
Get business metric forecasted values Return forecasted values of a BusinessMetricPath Parameters
- business_metric_token (path) (string) - Required
Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 5000.
- start_date (string (date)) - Optional: Query BusinessMetrics by the first date you would like to filter from. ISO 8601 Formatted - 2021-07-15
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/get-business-metric-forecasted-values
GET /business_metrics//labels
Get business metric labels Return labels of a BusinessMetric.Path Parameters
- business_metric_token (path) (string) - Required
Query Parameters
-
page (integer (int32)) - Optional: The page of results to return.
- Default:
1
- Default:
-
limit (integer (int32)) - Optional: The number of results to return per page. Defaults to 1000. The maximum is 5000.
- Default:
1000
- Default:
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/get-business-metric-labels
DELETE /business_metrics//values
Delete business metric values Deletes Business Metric values (historical or forecasted unit metrics). BusinessMetrics whose values are stored in ClickHouse only support deleting every historical value or every forecasted value, so supplying start_date, end_date, or label returns 422.Path Parameters
- business_metric_token (path) (string) - Required
Query Parameters
- start_date (string) - Optional: Inclusive lower bound (ISO 8601 date or datetime, UTC). Date-only values start at 00:00:00 UTC that day.
- end_date (string) - Optional: Inclusive upper bound (ISO 8601 date or datetime, UTC). Date-only values include the full calendar day through 23:59:59.999999999 UTC.
- label (string) - Optional: When present in the query string (including as an empty value), only unit metrics with this exact label are deleted. Omit the parameter to delete all labels in range.
-
forecasted (boolean) - Optional: When true, deletes forecasted unit metrics instead of historical ones.
- Default:
False
- Default:
Responses
200: OK 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/delete-business-metric-values
GET /business_metrics//values
Get business metric values Return values of a BusinessMetricPath Parameters
- business_metric_token (path) (string) - Required
Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 5000.
- start_date (string (date)) - Optional: Query BusinessMetrics by the first date you would like to filter from. ISO 8601 Formatted - 2021-07-15
- label_values (array) - Optional: Return values matching any exact label value. For multi-label metrics, matches values under any label key.
-
date_bin (string) - Optional: Sum values by UTC day or month while preserving labels. When omitted, values are returned without aggregation.
- Allowed values:
day,month
- Allowed values:
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/get-business-metric-values
PUT /business_metrics//values.csv
Update business metric values from CSV Updates the values for an existing BusinessMetric from a CSV file.Path Parameters
- business_metric_token (path) (string) - Required
Responses
200: OK 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/businessmetrics/update-business-metric-values-from-csv
Canvases
GET /canvases
Get all canvases Return all Canvases.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace token.
- q (string) - Optional: Search canvases by title.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/canvases/get-all-canvases
POST /canvases
Create canvas Create a Canvas.Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/canvases/create-canvas
DELETE /canvases/
Delete canvas Delete a Canvas.Path Parameters
- canvas_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/canvases/delete-canvas
GET /canvases/
Get canvas by token Return a specific Canvas.Path Parameters
- canvas_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/canvases/get-canvas-by-token
PUT /canvases/
Update canvas Update a Canvas.Path Parameters
- canvas_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/canvases/update-canvas
CostAlertEvents
GET /cost_alerts//events
Get all cost alert events Get all CostAlertEventsPath Parameters
- cost_alert_token (path) (string) - Required: The token of the CostAlertEvent.
Query Parameters
- report_token (string) - Optional: The token of the report associated with the CostAlertEvent.
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costalertevents/get-all-cost-alert-events
GET /cost_alerts//events/
Get cost alert event by token Get a CostAlertEventPath Parameters
- cost_alert_token (path) (string) - Required
- event_token (path) (string) - Required
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costalertevents/get-cost-alert-event-by-token
CostAlerts
GET /cost_alerts
Get all cost alerts List all Cost AlertsQuery Parameters
- q (string) - Optional: Search cost alerts by title.
- workspace_token (string) - Optional: The workspace token of the cost alerts to return.
Responses
200: List all Cost AlertsView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costalerts/get-all-cost-alerts
POST /cost_alerts
Create cost alert Create a new Cost AlertRequest Body
Responses
201: Cost Alert created successfully. 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costalerts/create-cost-alert
DELETE /cost_alerts/
Delete cost alert Delete a Cost AlertPath Parameters
- cost_alert_token (path) (string) - Required: The token of the Cost Alert.
Responses
204: Cost Alert deleted successfully. 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costalerts/delete-cost-alert
GET /cost_alerts/
Get cost alert by token Get a Cost AlertPath Parameters
- cost_alert_token (path) (string) - Required: The token of the Cost Alert.
Responses
200: Get a Cost Alert 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costalerts/get-cost-alert-by-token
PUT /cost_alerts/
Update cost alert Update a Cost AlertPath Parameters
- cost_alert_token (path) (string) - Required: The token of the Cost Alert.
Request Body
Responses
200: Cost Alert updated successfully. 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costalerts/update-cost-alert
CostProvider
GET /cost_providers
Get cost providers List CostProviders available to query in a given Workspace.Query Parameters
- workspace_token (string) - Optional: The token of the Workspace to list CostProviders for. Required if the API token is associated with multiple Workspaces.
Responses
200: List of connected CostProviders.View Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costprovider/get-cost-providers
CostProviderAccounts
GET /cost_provider_accounts
Get all cost provider accounts List CostProviderAccounts available in a given Workspace.Query Parameters
- workspace_token (string) - Optional: The token of the Workspace to list CostProviderAccounts for. Required if the API token is associated with multiple Workspaces.
-
provider (string) - Optional: Filter by provider type.
- Allowed values:
aws,azure,gcp,snowflake,databricks,mongo,datadog,fastly,new_relic,opencost,open_ai,oracle,confluent,planetscale,coralogix,kubernetes,custom_provider,github,linode,grafana,clickhouse,temporal,twilio,azure_csp,kubernetes_agent,anthropic,anyscale,cursor,elastic,vercel,redis_cloud,circle_ci,modal,eleven_labs,baseten,cloudflare,fireworks_ai
- Allowed values:
- account_id (string) - Optional: Filter by provider account identifier.
- account_name (string) - Optional: Filter by account name (exact match).
Responses
200: List of provider accounts.View Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costprovideraccounts/get-all-cost-provider-accounts
CostService
GET /cost_services
Get cost services List CostServices available to query in a given Workspace.Query Parameters
- workspace_token (string) - Optional: The token of the Workspace to list CostServices for. Required if the API token is associated with multiple Workspaces.
Responses
200: List of CostServices, used to query costs using VQL.View Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costservice/get-cost-services
Costs
GET /cost_reports
Get all cost reports Return all CostReports.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- folder_token (string) - Optional: The token for the Folder you would like to fetch Reports from.
- q (string) - Optional: Search cost reports by title.
- workspace_token (string) - Optional: The workspace token of the cost reports to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/get-all-cost-reports
POST /cost_reports
Create cost report Create a CostReport.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/create-cost-report
DELETE /cost_reports/
Delete cost report Delete a CostReport.Path Parameters
- cost_report_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/delete-cost-report
GET /cost_reports/
Get cost report by token Return a CostReport.Path Parameters
- cost_report_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/get-cost-report-by-token
PUT /cost_reports/
Update cost report Update a CostReport.Path Parameters
- cost_report_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/update-cost-report
GET /cost_reports//forecasted_costs
Get forecasted costs for a cost report Return all ForecastedCosts.Path Parameters
- cost_report_token (path) (string) - Required
Query Parameters
- start_date (string (date)) - Optional: First date you would like to filter forecasted costs from. ISO 8601 formatted.
- end_date (string (date)) - Optional: Last date you would like to filter forecasted costs from. ISO 8601 formatted.
-
provider (string) - Optional: Limit the forecasted costs to a specific provider. ‘all’ is accepted to filter to overall forecast.
- Allowed values:
aws,azure,gcp,snowflake,databricks,mongo,datadog,fastly,new_relic,opencost,open_ai,oracle,confluent,planetscale,coralogix,kubernetes,custom_provider,github,linode,grafana,clickhouse,temporal,twilio,azure_csp,kubernetes_agent,anthropic,anyscale,cursor,elastic,vercel,redis_cloud,circle_ci,modal,eleven_labs,baseten,cloudflare,fireworks_ai,all
- Allowed values:
- service (string) - Optional: Limit the forecasted costs to a specific service. ‘all’ is accepted to filter to overall forecast. e.g. ‘Amazon ElastiCache’.
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/get-forecasted-costs-for-a-cost-report
GET /costs
Get costs for cost report or VQL filter Return all Costs for a CostReport or VQL filter.Query Parameters
- cost_report_token (string) - Optional: The CostReport token.
- filter (string) - Optional: The VQL filter to apply to the costs. If this is supplied you do not need cost_report_token.
- workspace_token (string) - Optional: The token of the Workspace to query costs from. Ignored if ‘cost_report_token’ is set. Required if the API token is associated with multiple Workspaces.
- start_date (string) - Optional: First date you would like to filter costs from. ISO 8601 formatted.
- end_date (string) - Optional: Last date you would like to filter costs to. ISO 8601 formatted.
- groupings (array) - Optional: Group the results by specific field(s). Defaults to provider, service, account_id. Valid groupings: account_id, billing_account_id, charge_type, cost_category, cost_subcategory, provider, region, resource_id, service, tagged, usage_unit, tag:tag_value. If providing multiple groupings, join as comma separated values: groupings=provider,service,region
-
order (string) - Optional: Whether to order costs by date in an ascending or descending manner.
- Allowed values:
asc,desc - Default:
desc
- Allowed values:
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 5000.
- page (integer (int32)) - Optional: The page of results to return.
-
date_bin (string) - Optional: The date bin of the costs. Defaults to the report’s default or day.
- Allowed values:
day,week,month,quarter,hour
- Allowed values:
-
settings[include_credits] (boolean) - Optional: Results will include credits.
- Default:
False
- Default:
-
settings[include_refunds] (boolean) - Optional: Results will include refunds.
- Default:
False
- Default:
-
settings[include_discounts] (boolean) - Optional: Results will include discounts.
- Default:
True
- Default:
-
settings[include_tax] (boolean) - Optional: Results will include tax.
- Default:
True
- Default:
-
settings[amortize] (boolean) - Optional: Results will amortize.
- Default:
True
- Default:
-
settings[unallocated] (boolean) - Optional: Results will show unallocated costs.
- Default:
False
- Default:
-
settings[aggregate_by] (string) - Optional: Results will aggregate by cost, usage, or count.
- Allowed values:
cost,usage,count - Default:
cost
- Allowed values:
-
settings[show_previous_period] (boolean) - Optional: Results will show previous period cost, usage, or count comparison.
- Default:
True
- Default:
Responses
200: OK 400: BadRequest 402: PaymentRequired 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/get-costs-for-cost-report-or-vql-filter
POST /costs/data_exports
Generate cost data export Generate a DataExport of costs.Request Body
Responses
202: The data export has been queued and will be available at the location specified in the Location header. 400: BadRequest 402: PaymentRequired 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/costs/generate-cost-data-export
Dashboards
GET /dashboards
Get all dashboards Return all Dashboards.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- q (string) - Optional: Search dashboards by title.
- workspace_token (string) - Optional: The workspace token of the dashboards to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/dashboards/get-all-dashboards
POST /dashboards
Create dashboard Create a Dashboard.Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/dashboards/create-dashboard
DELETE /dashboards/
Delete dashboard Delete a Dashboard.Path Parameters
- dashboard_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/dashboards/delete-dashboard
GET /dashboards/
Get dashboard by token Return a specific Dashboard.Path Parameters
- dashboard_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/dashboards/get-dashboard-by-token
PUT /dashboards/
Update dashboard Update a Dashboard.Path Parameters
- dashboard_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/dashboards/update-dashboard
DataExports
GET /data_exports/
Get status of data export Get the status of a data export.Path Parameters
- data_export_token (path) (string) - Required
Responses
200: Returns the completed data export and its manifest. If it is still pending, the response will be a 202 and the caller should check the Location and Retry-After headers to determine where and how long to wait before polling again. 400: BadRequest 402: PaymentRequired 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/dataexports/get-status-of-data-export
ExchangeRates
GET /exchange_rates
Get all exchange rates Return all Exchange Rates.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/exchangerates/get-all-exchange-rates
POST /exchange_rates/csv
Upload exchange rates via CSV Upload Exchange Rates via CSV.Responses
201: CSV uploaded successfully 400: BadRequest 403: ForbiddenView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/exchangerates/upload-exchange-rates-via-csv
FinancialCommitmentReports
GET /financial_commitment_reports
Get all financial commitment reports Return all FinancialCommitmentReports.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- q (string) - Optional: Search financial commitment reports by title.
- workspace_token (string) - Optional: The workspace token of the financial commitment reports to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/financialcommitmentreports/get-all-financial-commitment-reports
POST /financial_commitment_reports
Create financial commitment report Create a FinancialCommitmentReport.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/financialcommitmentreports/create-financial-commitment-report
DELETE /financial_commitment_reports/
Delete financial commitment report Delete a FinancialCommitmentReport.Path Parameters
- financial_commitment_report_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/financialcommitmentreports/delete-financial-commitment-report
GET /financial_commitment_reports/
Get financial commitment report by token Return a FinancialCommitmentReport.Path Parameters
- financial_commitment_report_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/financialcommitmentreports/get-financial-commitment-report-by-token
PUT /financial_commitment_reports/
Update financial commitment report Update a FinancialCommitmentReport.Path Parameters
- financial_commitment_report_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/financialcommitmentreports/update-financial-commitment-report
FinancialCommitments
GET /financial_commitments
Get all financial commitments Return all FinancialCommitments.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/financialcommitments/get-all-financial-commitments
Folders
GET /folders
Get all folders Return all Folders for CostReports.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
-
type (string) - Optional: Filter by folder type.
- Allowed values:
CostFolder,ProviderResourceFolder
- Allowed values:
- q (string) - Optional: Search folders by title.
- workspace_token (string) - Optional: The workspace token of the folders to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/folders/get-all-folders
POST /folders
Create folder Create a Folder for CostReports.Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/folders/create-folder
DELETE /folders/
Delete folder Delete a Folder for CostReports.Path Parameters
- folder_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/folders/delete-folder
GET /folders/
Get folder by token Return a specific Folder for CostReports.Path Parameters
- folder_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/folders/get-folder-by-token
PUT /folders/
Update folder Update a Folder for CostReports.Path Parameters
- folder_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/folders/update-folder
Integrations
GET /integrations
Get all integrations Return all Integrations.Query Parameters
-
provider (string) - Optional: Query by provider name to list all Integrations for a specific provider.
- Allowed values:
aws,azure,gcp,snowflake,databricks,mongo,datadog,fastly,new_relic,opencost,open_ai,oracle,confluent,planetscale,coralogix,kubernetes,custom_provider,github,linode,grafana,clickhouse,temporal,twilio,azure_csp,kubernetes_agent,anthropic,anyscale,cursor,elastic,vercel,redis_cloud,circle_ci,modal,eleven_labs,baseten,cloudflare,fireworks_ai
- Allowed values:
- account_identifier (string) - Optional: Query by account identifier to list all Integrations that match a specific account. For Azure, this is the subscription ID. Must include provider when using this parameter.
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/get-all-integrations
POST /integrations/azure
Create Azure integration Create an Azure IntegrationRequest Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/create-azure-integration
POST /integrations/custom_provider
Create custom provider integration Create a Custom Provider IntegrationRequest Body
Responses
201: Created 400: BadRequest 403: ForbiddenView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/create-custom-provider-integration
POST /integrations/gcp
Create GCP integration Create a GCP IntegrationRequest Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/create-gcp-integration
DELETE /integrations/
Delete integration Delete an Integration.Path Parameters
- integration_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/delete-integration
GET /integrations/
Get integration by token Return an Integration.Path Parameters
- integration_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/get-integration-by-token
PUT /integrations/
Update integration Update an Integration.Path Parameters
- integration_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/update-integration
GET /integrations//costs
Get all user costs uploads List UserCostUploads.Path Parameters
- integration_token (path) (string) - Required
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/get-all-user-costs-uploads
POST /integrations//costs.csv
Upload custom provider costs Create UserCostsUpload via CSV for a Custom Provider Integration.Path Parameters
- integration_token (path) (string) - Required
Responses
201: Created 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/upload-custom-provider-costs
DELETE /integrations//costs/
Delete user costs upload Delete a UserCostsUpload.Path Parameters
- integration_token (path) (string) - Required
- user_costs_upload_token (path) (string) - Required: Token of the UserCostsUpload to delete.
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/integrations/delete-user-costs-upload
Invoices
GET /invoices
Get all invoices Returns a list of invoices (MSP invoicing required).Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- managed_account_token (string) - Optional: Filter invoices by managed account token (MSP accounts only)
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/get-all-invoices
POST /invoices
Create invoice Create an invoice (MSP accounts only).Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/create-invoice
GET /invoices/
Get invoice by token Return an invoice.Path Parameters
- invoice_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/get-invoice-by-token
GET /invoices//cost_report
Get cost report URL Get cost report URL for invoice period.Path Parameters
- invoice_token (path) (string) - Required
Responses
200: Get cost report URL for invoice period. 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/get-cost-report-url
POST /invoices//download
Get invoice file Download invoice file (PDF or CSV).Path Parameters
- invoice_token (path) (string) - Required
Request Body
Responses
200: Returns download URL for the invoice file 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/get-invoice-file
POST /invoices//regenerate
Regenerate invoice Regenerate an existing invoice (MSP accounts only).Path Parameters
- invoice_token (path) (string) - Required
Responses
200: Invoice regeneration started 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/regenerate-invoice
POST /invoices//send
Send invoice Send invoice via email.Path Parameters
- invoice_token (path) (string) - Required
Responses
200: Invoice sent successfully 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/send-invoice
POST /invoices//send_and_approve
Send and approve invoice Send and approve invoice via email (MSP accounts only).Path Parameters
- invoice_token (path) (string) - Required
Responses
200: Invoice approved and sent successfully 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/invoices/send-and-approve-invoice
KubernetesEfficiencyReports
GET /kubernetes_efficiency_reports
Get all Kubernetes efficiency reports Return all KubernetesEfficiencyReports.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace token.
- q (string) - Optional: Search Kubernetes efficiency reports by title.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/kubernetesefficiencyreports/get-all-kubernetes-efficiency-reports
POST /kubernetes_efficiency_reports
Create Kubernetes efficiency report Create a KubernetesEfficiencyReport.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/kubernetesefficiencyreports/create-kubernetes-efficiency-report
POST /kubernetes_efficiency_reports/data_exports
Generate Kubernetes efficiency data export Generate a DataExport of Kubernetes efficiency data.Query Parameters
- groupings (array) - Optional: Group the results by specific field(s). Valid groupings: cluster_id, namespace, region, labeled, category, pod, label, label:label_name.
Request Body
Responses
202: The data export has been queued and will be available at the location specified in the Location header. 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/kubernetesefficiencyreports/generate-kubernetes-efficiency-data-export
DELETE /kubernetes_efficiency_reports/
Delete Kubernetes efficiency report Delete a KubernetesEfficiencyReport.Path Parameters
- kubernetes_efficiency_report_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/kubernetesefficiencyreports/delete-kubernetes-efficiency-report
GET /kubernetes_efficiency_reports/
Get Kubernetes efficiency report by token Return a KubernetesEfficiencyReport.Path Parameters
- kubernetes_efficiency_report_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/kubernetesefficiencyreports/get-kubernetes-efficiency-report-by-token
PUT /kubernetes_efficiency_reports/
Update Kubernetes efficiency report Update a KubernetesEfficiencyReport.Path Parameters
- kubernetes_efficiency_report_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/kubernetesefficiencyreports/update-kubernetes-efficiency-report
ManagedAccounts
GET /managed_accounts
Get all managed accounts Returns a list of managed accounts.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/get-all-managed-accounts
POST /managed_accounts
Create managed account Create a Managed Account.Request Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/create-managed-account
DELETE /managed_accounts/
Delete managed account Delete a Managed Account.Path Parameters
- managed_account_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/delete-managed-account
GET /managed_accounts/
Get managed account by token Return a Managed Account.Path Parameters
- managed_account_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/get-managed-account-by-token
PUT /managed_accounts/
Update managed account Update a Managed Account.Path Parameters
- managed_account_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/update-managed-account
DELETE /managed_accounts//sso_connection
Delete SSO connection for managed account Delete SSO connection for a Managed Account.Path Parameters
- managed_account_token (path) (string) - Required
Responses
204: No Content 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/delete-sso-connection-for-managed-account
POST /managed_accounts//sso_connection
Configure SSO for managed account Configure SSO for a Managed Account.Path Parameters
- managed_account_token (path) (string) - Required
Request Body
Responses
201: Created 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/configure-sso-for-managed-account
PUT /managed_accounts//sso_connection
Update SSO configuration for managed account Update SSO configuration for a Managed Account.Path Parameters
- managed_account_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/managedaccounts/update-sso-configuration-for-managed-account
Me
GET /me
Get authenticated user info Get information about the authenticated BearerToken.Responses
200: General information about the user.View Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/me/get-authenticated-user-info
PUT /me
Update authenticated user Update the authenticated User.Request Body
Responses
200: OK 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/me/update-authenticated-user
NetworkFlowLogs
GET /network_flow_logs
Get network flow logs Return aggregated Network Flow Logs for a saved report or ad hoc VQL query.Query Parameters
- network_flow_report_token (string) - Optional
- workspace_token (string) - Optional
- filter (string) - Optional
-
date_interval (string) - Optional
- Allowed values:
last_3_days,last_7_days,last_14_days,last_30_days
- Allowed values:
- start_date (string (date)) - Optional
- end_date (string (date)) - Optional
- groupings (array) - Optional
-
flow_direction (string) - Optional
- Allowed values:
all,ingress,egress
- Allowed values:
-
flow_weight (string) - Optional
- Allowed values:
costs,bytes
- Allowed values:
-
page (integer (int32)) - Optional
- Default:
1
- Default:
-
limit (integer (int32)) - Optional
- Default:
100
- Default:
Responses
200: OK 400: BadRequest 402: PaymentRequired 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/networkflowlogs/get-network-flow-logs
NetworkFlowReports
GET /network_flow_reports
Get all network flow reports Return all NetworkFlowReports.Query Parameters
- q (string) - Optional: A search query to filter NetworkFlowReports by title.
- workspace_token (string) - Optional: Filter by workspace token.
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/networkflowreports/get-all-network-flow-reports
POST /network_flow_reports
Create network flow report Create a NetworkFlowReport.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/networkflowreports/create-network-flow-report
DELETE /network_flow_reports/
Delete network flow report Delete a NetworkFlowReport.Path Parameters
- network_flow_report_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/networkflowreports/delete-network-flow-report
GET /network_flow_reports/
Get network flow report by token Return a NetworkFlowReport.Path Parameters
- network_flow_report_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/networkflowreports/get-network-flow-report-by-token
PUT /network_flow_reports/
Update network flow report Update a NetworkFlowReport.Path Parameters
- network_flow_report_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/networkflowreports/update-network-flow-report
Ping
GET /ping
This is a health check endpoint that can be used to determine Vantage API healthiness. It will return 200 if everything is running smoothly.Responses
200: This is a health check endpoint that can be used to determine Vantage API healthiness. It will return 200 if everything is running smoothly.View Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/ping/
Prices
GET /products
Get all products Return available Products for a Service. For example, with a Provider of AWS and a Service of EC2, Products will be a list of all EC2 Instances. By default, this endpoint returns all Products across all Services and Providers but has optional query parameters for filtering listed below.Query Parameters
- provider_id (string) - Optional: Query by Provider to list all Products across all Services for a Provider. e.g. aws
- service_id (string) - Optional: Query by Service to list all Products for a specific provider service. e.g. aws-ec2
- name (string) - Optional: Query by name of the Product to see a list of products which match that name. e.g. m5a.16xlarge
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/prices/get-all-products
GET /products/
Get product by ID Return a productPath Parameters
- id (path) (string) - Required
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/prices/get-product-by-id
GET /products//prices
Get prices for a product Return available Prices across all Regions for a Product.Path Parameters
- product_id (path) (string) - Required
Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/prices/get-prices-for-a-product
GET /products//prices/
Get price by ID Returns a pricePath Parameters
- product_id (path) (string) - Required
- id (path) (string) - Required
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/prices/get-price-by-id
RecommendationViews
GET /recommendation_views
Get all recommendation views Return all RecommendationViews.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace token.
- q (string) - Optional: Search recommendation views by title.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendationviews/get-all-recommendation-views
POST /recommendation_views
Create recommendation view Create a RecommendationView.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendationviews/create-recommendation-view
DELETE /recommendation_views/
Delete recommendation view Delete a RecommendationView.Path Parameters
- recommendation_view_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendationviews/delete-recommendation-view
GET /recommendation_views/
Get recommendation view by token Return a specific RecommendationView.Path Parameters
- recommendation_view_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendationviews/get-recommendation-view-by-token
PUT /recommendation_views/
Update recommendation view Update a RecommendationView.Path Parameters
- recommendation_view_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendationviews/update-recommendation-view
Recommendations
GET /recommendations
Get all recommendations Return all Recommendations. Use thetype query parameter with a fuzzy fragment to filter recommendation type case-insensitively (for example: aws, aws:ec2, aws:ec2:rightsizing).
Query Parameters
- provider_ids (array) - Optional: Filter by one or more providers. Requires workspace_token.
- billing_account_ids (array) - Optional: Filter by billing account identifiers. Requires workspace_token.
- account_ids (array) - Optional: Filter by account identifiers. Requires workspace_token.
- regions (array) - Optional: Filter by region slugs (e.g. us-east-1, eastus, asia-east1). Requires workspace_token.
- tag_key (string) - Optional: Filter by tag key (must be used with tag_value). Requires workspace_token.
- tag_value (string) - Optional: Filter by tag value (requires tag_key). Requires workspace_token.
- start_date (string) - Optional: Filter recommendations created on/after this YYYY-MM-DD date. Requires workspace_token.
- end_date (string) - Optional: Filter recommendations created on/before this YYYY-MM-DD date. Requires workspace_token.
-
status (string) - Optional: Filter by status.
- Allowed values:
active,archived
- Allowed values:
- min_savings (number (float)) - Optional: Filter by recommendations whose potential savings are greater than or equal to this amount, in the workspace’s currency. Requires workspace_token.
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace.
- provider_account_id (string) - Optional: Filter by provider account id (AWS account, Azure subscription id, etc).
- category (string) - Optional: Filter by exact recommendation category. Ignored when type is provided.
- type (string) - Optional: Fuzzy filter by recommendation type using a case-insensitive literal substring. Examples: aws, aws:ec2, aws:ec2:rightsizing.
-
provider (string) - Optional: Filter by provider.
- Allowed values:
aws,gcp,azure,kubernetes,datadog
- Allowed values:
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendations/get-all-recommendations
GET /recommendations/by_type//resources
Get all resources for a recommendation type Return all Active Resources associated with recommendations of the specified type.Path Parameters
- type (path) (string) - Required
Query Parameters
- provider_ids (array) - Optional: Filter by one or more providers. Requires workspace_token.
- billing_account_ids (array) - Optional: Filter by billing account identifiers. Requires workspace_token.
- account_ids (array) - Optional: Filter by account identifiers. Requires workspace_token.
- regions (array) - Optional: Filter by region slugs (e.g. us-east-1, eastus, asia-east1). Requires workspace_token.
- tag_key (string) - Optional: Filter by tag key (must be used with tag_value). Requires workspace_token.
- tag_value (string) - Optional: Filter by tag value (requires tag_key). Requires workspace_token.
- start_date (string) - Optional: Filter recommendations created on/after this YYYY-MM-DD date. Requires workspace_token.
- end_date (string) - Optional: Filter recommendations created on/before this YYYY-MM-DD date. Requires workspace_token.
-
status (string) - Optional: Filter by status.
- Allowed values:
active,archived
- Allowed values:
- min_savings (number (float)) - Optional: Filter by recommendations whose potential savings are greater than or equal to this amount, in the workspace’s currency. Requires workspace_token.
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
- workspace_token (string) - Required: The workspace token to filter recommendations by. Required.
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendations/get-all-resources-for-a-recommendation-type
GET /recommendations/
Get recommendation by token Return a Recommendation.Path Parameters
- recommendation_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendations/get-recommendation-by-token
GET /recommendations//resources
Get all resources for a recommendation Return all Active Resources, including Recommendation Actions, referenced in this Recommendation.Path Parameters
- recommendation_token (path) (string) - Required
Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. Defaults to 25. The maximum is 500.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendations/get-all-resources-for-a-recommendation
GET /recommendations//resources/
Get specific resource for a recommendation Return an Active Resource, including Recommendation Actions, referenced in this Recommendation.Path Parameters
- recommendation_token (path) (string) - Required
- resource_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/recommendations/get-specific-resource-for-a-recommendation
ReportForecasts
GET /report_forecasts
Get all report forecasts Return all scenario-model ReportForecasts for a CostReport.Query Parameters
- cost_report_token (string) - Required
- page (integer (int32)) - Optional
- limit (integer (int32)) - Optional
Responses
200: Return all scenario-model ReportForecasts for a CostReport. 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportforecasts/get-all-report-forecasts
POST /report_forecasts
Create report forecast Create a scenario-model ReportForecast.Request Body
Responses
201: Create a scenario-model ReportForecast. 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportforecasts/create-report-forecast
DELETE /report_forecasts/
Delete report forecast Delete a scenario-model ReportForecast.Path Parameters
- report_forecast_token (path) (string) - Required
Responses
204: Delete a scenario-model ReportForecast. 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportforecasts/delete-report-forecast
GET /report_forecasts/
Get report forecast by token Return a scenario-model ReportForecast.Path Parameters
- report_forecast_token (path) (string) - Required
Responses
200: Return a scenario-model ReportForecast. 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportforecasts/get-report-forecast-by-token
PUT /report_forecasts/
Update report forecast Update a scenario-model ReportForecast.Path Parameters
- report_forecast_token (path) (string) - Required
Request Body
Responses
200: Update a scenario-model ReportForecast. 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportforecasts/update-report-forecast
ReportNotifications
GET /report_notifications
Get all report notifications Return all ReportNotifications.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace token.
- q (string) - Optional: Search report notifications by title.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportnotifications/get-all-report-notifications
POST /report_notifications
Create report notification Create a ReportNotification.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportnotifications/create-report-notification
DELETE /report_notifications/
Delete report notification Delete a ReportNotification.Path Parameters
- report_notification_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportnotifications/delete-report-notification
GET /report_notifications/
Get report notification by token Return a ReportNotification.Path Parameters
- report_notification_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportnotifications/get-report-notification-by-token
PUT /report_notifications/
Update report notification Update a ReportNotification.Path Parameters
- report_notification_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/reportnotifications/update-report-notification
ResourceReports
GET /resource_reports
Get all resource reports Return all ResourceReports.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The number of results to return. The maximum is 1000.
- workspace_token (string) - Optional: Filter by workspace token.
- q (string) - Optional: A search query to filter ResourceReports by title.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resourcereports/get-all-resource-reports
POST /resource_reports
Create resource report Create a ResourceReport.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resourcereports/create-resource-report
GET /resource_reports/columns
Get resource report columns List available columns for a resource type.Query Parameters
- resource_type (string) - Required: VQL resource type name (https://docs.vantage.sh/vql_resource_report#costs-by-resource-type)
Responses
200: Returns array of available column names for the specified resource type 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resourcereports/get-resource-report-columns
DELETE /resource_reports/
Delete resource report Delete a ResourceReport.Path Parameters
- resource_report_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resourcereports/delete-resource-report
GET /resource_reports/
Get resource report by token Return a ResourceReport.Path Parameters
- resource_report_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resourcereports/get-resource-report-by-token
PUT /resource_reports/
Update resource report Update a ResourceReport.Path Parameters
- resource_report_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resourcereports/update-resource-report
Resources
GET /resources
Get resources Return Resources contained in a ResourceReportQuery Parameters
- resource_report_token (string) - Optional: The ResourceReport token.
- filter (string) - Optional: The filter query language to apply to the Resources. Additional documentation available at https://docs.vantage.sh/vql.
- workspace_token (string) - Optional: The Workspace in which the Resources are located.
- include_cost (boolean) - Optional: Include cost information in the response.
- page (integer (int32)) - Optional: The page number for pagination.
- limit (integer (int32)) - Optional: The number of resources to return per page.
Responses
200: OK 400: BadRequest 402: PaymentRequired 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resources/get-resources
GET /resources/
Get resource by token Return a single ResourcePath Parameters
- resource_token (path) (string) - Required
Query Parameters
- include_cost (boolean) - Optional: Include cost information in the response.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/resources/get-resource-by-token
SavedFilters
GET /saved_filters
Get all saved filters Return all SavedFilters that can be applied to a CostReport.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- q (string) - Optional: Search saved filters by title.
- workspace_token (string) - Optional: The workspace token of the saved filters to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/savedfilters/get-all-saved-filters
POST /saved_filters
Create saved filter Create a SavedFilter for CostReports.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/savedfilters/create-saved-filter
DELETE /saved_filters/
Delete saved filter Delete a SavedFilter for CostReports.Path Parameters
- saved_filter_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/savedfilters/delete-saved-filter
GET /saved_filters/
Get saved filter by token Return a specific SavedFilter.Path Parameters
- saved_filter_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/savedfilters/get-saved-filter-by-token
PUT /saved_filters/
Update saved filter Update a SavedFilter for CostReports.Path Parameters
- saved_filter_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/savedfilters/update-saved-filter
ScenarioModels
GET /scenario_models
Get all scenario models Return all ScenarioModels.Query Parameters
- page (integer (int32)) - Optional
- limit (integer (int32)) - Optional
Responses
200: Return all ScenarioModels.View Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/scenariomodels/get-all-scenario-models
POST /scenario_models
Create scenario model Create a ScenarioModel.Request Body
Responses
201: Create a ScenarioModel. 403: Forbidden 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/scenariomodels/create-scenario-model
DELETE /scenario_models/
Delete scenario model Delete a ScenarioModel.Path Parameters
- scenario_model_token (path) (string) - Required
Responses
204: Delete a ScenarioModel. 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/scenariomodels/delete-scenario-model
GET /scenario_models/
Get scenario model by token Return a ScenarioModel.Path Parameters
- scenario_model_token (path) (string) - Required
Responses
200: Return a ScenarioModel. 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/scenariomodels/get-scenario-model-by-token
PUT /scenario_models/
Update scenario model Update a ScenarioModel.Path Parameters
- scenario_model_token (path) (string) - Required
Request Body
Responses
200: Update a ScenarioModel. 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/scenariomodels/update-scenario-model
Segments
GET /segments
Get all segments Return all Segments.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- q (string) - Optional: Search segments by title.
- workspace_token (string) - Optional: The workspace token of the segments to return.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/segments/get-all-segments
POST /segments
Create segment Create a Segment.Request Body
Responses
201: Created 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/segments/create-segment
DELETE /segments/
Delete segment Delete a Segment.Path Parameters
- segment_token (path) (string) - Required
Responses
204: No Content 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/segments/delete-segment
GET /segments/
Get segment by token Return a Segment.Path Parameters
- segment_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/segments/get-segment-by-token
PUT /segments/
Update segment Update a Segment.Path Parameters
- segment_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/segments/update-segment
Tags
GET /tags
Get all tags Return all Tags that the current API token has access to.Query Parameters
- providers (array) - Optional: An array of providers to scope Tags by.
- search_query (string) - Optional: A search query to filter Tags by tag key.
-
sort_direction (string) - Optional: The direction in which you would like to sort the data by. Defaults to ‘asc’.
- Allowed values:
asc,desc
- Allowed values:
-
page (integer (int32)) - Optional: The page of results to return.
- Default:
1
- Default:
-
limit (integer (int32)) - Optional: The number of results to return per page. Defaults to 100. The maximum is 1000.
- Default:
100
- Default:
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/tags/get-all-tags
PUT /tags
Update tag Updates an existing Tag.Request Body
Responses
200: OK 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/tags/update-tag
GET /tags//values
Get tag values Returns corresponding TagValues for a given Tag.Path Parameters
- key (path) (string) - Required: The key of the Tag for which you would like to retrieve TagValues.
Query Parameters
- providers (array) - Optional: An array of providers to scope TagValues by.
-
sort_direction (string) - Optional: The direction in which to sort the TagValues. Defaults to ‘asc’.
- Allowed values:
asc,desc - Default:
asc
- Allowed values:
- search_query (string) - Optional: A search query to filter TagValues by the value name.
-
page (integer (int32)) - Optional: The page of results to return.
- Default:
1
- Default:
-
limit (integer (int32)) - Optional: The number of results to return per page. Defaults to 100. The maximum is 1000.
- Default:
100
- Default:
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/tags/get-tag-values
Teams
GET /teams
Get all teams Return all Teams that the current API token has access to.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- q (string) - Optional: Search teams by name.
- workspace_token (string) - Optional: Filter by workspace token.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/get-all-teams
POST /teams
Create team Create a new Team.Request Body
Responses
201: Created 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/create-team
DELETE /teams/
Delete team Delete a Team.Path Parameters
- team_token (path) (string) - Required
Responses
204: No Content 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/delete-team
GET /teams/
Get team by token Return a specific Team.Path Parameters
- team_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/get-team-by-token
PUT /teams/
Update team Update a Team.Path Parameters
- team_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/update-team
GET /teams//members
Get team members Return all members of a Team.Path Parameters
- team_token (path) (string) - Required
Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/get-team-members
POST /teams//members
Add team member Add a member to a Team.Path Parameters
- team_token (path) (string) - Required
Request Body
Responses
201: Created 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/add-team-member
DELETE /teams//members/
Remove team member Remove a member from a Team.Path Parameters
- team_token (path) (string) - Required
- user_token (path) (string) - Required
Responses
204: No Content 400: BadRequest 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/teams/remove-team-member
UnitCosts
GET /unit_costs
Get all unit costs for a cost report Return all UnitCosts for a CostReport.Query Parameters
- cost_report_token (string) - Required: The CostReport token.
- start_date (string) - Optional: First date you would like to filter unit costs from. Defaults to the report’s default. ISO 8601 formatted.
- end_date (string) - Optional: Last date you would like to filter unit costs to. Defaults to the report’s default. ISO 8601 formatted.
-
date_bin (string) - Optional: The date bin of the unit costs. Defaults to the report’s default or day.
- Allowed values:
day,week,month,quarter,hour
- Allowed values:
-
order (string) - Optional: Whether to order unit costs by date in an ascending or descending manner.
- Allowed values:
asc,desc - Default:
desc
- Allowed values:
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- page (integer (int32)) - Optional: The page of results to return.
Responses
200: OK 400: BadRequest 402: PaymentRequired 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/unitcosts/get-all-unit-costs-for-a-cost-report
POST /unit_costs/data_exports
Generate data export of unit costs Generate a DataExport of unit costs.Request Body
Responses
202: The data export has been queued and will be available at the location specified in the Location header. 400: BadRequest 402: PaymentRequired 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/unitcosts/generate-data-export-of-unit-costs
UserFeedback
POST /user_feedback
Submit user feedback Provide UserFeedback for our product and features.Request Body
Responses
201: Provide UserFeedback for our product and features. 400: BadRequest 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/userfeedback/submit-user-feedback
Users
GET /users
Get all users Return all Users that the current API token has access to.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
Responses
200: OK 403: ForbiddenView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/users/get-all-users
GET /users/
Get user by token Return a specific User.Path Parameters
- user_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/users/get-user-by-token
PUT /users/
Update a user Update a specific User.Path Parameters
- user_token (path) (string) - Required
Request Body
Responses
200: OK 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/users/update-a-user
VirtualTags
GET /virtual_tag_configs
Get all virtual tag configs Return all VirtualTagConfigs that the current API token has access to.Query Parameters
- q (string) - Optional: A search query to filter VirtualTagConfigs by key.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/get-all-virtual-tag-configs
POST /virtual_tag_configs
Create virtual tag config Create a new VirtualTagConfig.Request Body
Responses
201: Created 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/create-virtual-tag-config
GET /virtual_tag_configs/async/
Get async virtual tag config update status Check the status of an async VirtualTagConfig update.Path Parameters
- request_id (path) (string) - Required
Responses
200: Request completed successfully 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/get-async-virtual-tag-config-update-status
DELETE /virtual_tag_configs/
Delete virtual tag config Deletes an existing VirtualTagConfig.Path Parameters
- token (path) (string) - Required
Responses
204: No Content 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/delete-virtual-tag-config
GET /virtual_tag_configs/
Get virtual tag config by token Return a specific VirtualTagConfig.Path Parameters
- token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/get-virtual-tag-config-by-token
PUT /virtual_tag_configs/
Update virtual tag config Updates an existing VirtualTagConfig.Path Parameters
- token (path) (string) - Required
Request Body
Responses
200: OK 202: Request accepted for processing 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/update-virtual-tag-config
PUT /virtual_tag_configs//async
Update virtual tag config asynchronously Asynchronously updates an existing VirtualTagConfig.Path Parameters
- token (path) (string) - Required
Request Body
Responses
202: Request accepted for processing 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/update-virtual-tag-config-asynchronously
GET /virtual_tag_configs//status
Get virtual tag config processing status Return the processing status of a specific VirtualTagConfig.Path Parameters
- token (path) (string) - Required
Responses
200: Processing is complete 202: Processing is still in progress 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/get-virtual-tag-config-processing-status
POST /virtual_tag_configs//values
Create virtual tag config value Create a VirtualTagConfigValue.Path Parameters
- virtual_tag_config_token (path) (string) - Required
Request Body
Responses
201: Created 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/create-virtual-tag-config-value
DELETE /virtual_tag_configs//values/
Delete virtual tag config value Delete a VirtualTagConfigValue.Path Parameters
- virtual_tag_config_token (path) (string) - Required
- virtual_tag_config_value_token (path) (string) - Required
Responses
204: No Content 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/delete-virtual-tag-config-value
GET /virtual_tag_configs//values/
Get virtual tag config value by token Return a VirtualTagConfigValue.Path Parameters
- virtual_tag_config_token (path) (string) - Required
- virtual_tag_config_value_token (path) (string) - Required
Responses
200: OK 403: Forbidden 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/get-virtual-tag-config-value-by-token
PATCH /virtual_tag_configs//values/
Update virtual tag config value Update a VirtualTagConfigValue.Path Parameters
- virtual_tag_config_token (path) (string) - Required
- virtual_tag_config_value_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequest 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/virtualtags/update-virtual-tag-config-value
Workspaces
GET /workspaces
Get all workspaces Return all Workspaces that the current API token has access to.Query Parameters
- page (integer (int32)) - Optional: The page of results to return.
- limit (integer (int32)) - Optional: The amount of results to return. The maximum is 1000.
- q (string) - Optional: Search workspaces by name.
Responses
200: OKView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/workspaces/get-all-workspaces
POST /workspaces
Create workspace Create a workspaceRequest Body
Responses
201: Created 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/workspaces/create-workspace
DELETE /workspaces/
Delete workspace Delete a workspacePath Parameters
- workspace_token (path) (string) - Required
Responses
204: No Content 403: Forbidden 404: NotFound 422: UnprocessableEntityView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/workspaces/delete-workspace
GET /workspaces/
Get workspace by token Return a specific Workspace.Path Parameters
- workspace_token (path) (string) - Required
Responses
200: OK 404: NotFoundView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/workspaces/get-workspace-by-token
PUT /workspaces/
Update workspace Update a workspacePath Parameters
- workspace_token (path) (string) - Required
Request Body
Responses
200: OK 400: BadRequestView Full Documentation
For interactive testing, request/response examples, and detailed schemas, visit: https://docs.vantage.sh/api/workspaces/update-workspace